Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83507 - id prints primary group when -G used
Summary: id prints primary group when -G used
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sh-utils
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-05 01:01 UTC by John Newbigin
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-12-10 12:51:17 UTC


Attachments (Terms of Use)

Description John Newbigin 2003-02-05 01:01:13 UTC
Description of problem:
According to the man page and info page
/usr/bin/id -G should "print only the supplementary groups"

In fact it also prints the primary group

Version-Release number of selected component (if applicable):
Tested on 7.2 & 8.0

How reproducible:
Always

Steps to Reproduce:
1. groupadd testgroup
2. useradd -g users -G testgroup testuser
3. id -Gn
    
Actual results:
users testgroup


Expected results:
testgroup

Additional info:
Could be that the docs are incorrect and listing the primary group is the
correct output?

Comment 1 Tim Waugh 2003-02-05 10:20:35 UTC
Docs are incorrect.  Man page fixed in coreutils in rawhide; info page still
incorrect.

Comment 2 Tim Waugh 2004-12-10 12:51:17 UTC
Reported upstream.


Note You need to log in before you can comment on or make changes to this bug.